Protege tu Mac de la vulnerabilidad Bash ShellShock

Un buen número de dispositivos Mac están afectados por la vulnerabilidad Bash ShellShock que permite a usuarios de terceros acceder a nuestro dispositivo sin permiso alguno. Apple lanzó un parche para corregir esta falla solamente en OS X Mavericks pero se espera que en breve aparezcan versiones para los restantes sistemas operativos.

Fuente:  MuySeguridad
Fuente: MuySeguridad

Apple explicó que la vulnerabilidad Bash ShellShock solamente afectaba a entornos UNIX, PC-Windows y en menor medida OS X pero de todas formas lanzó una pequeña actualización para cubrirse la espalda. ¿No sabes si tu dispositivo es vulnerable? En Appleismo te enseñamos a detectarlo.

Paso a paso

  • Ejecuta el Terminal de OS X, puedes buscarlo en Spotlight o a través del LaunchPad en la carpeta Otros
  • Copia la siguiente línea de código y ejectua: env x='() { :;}; echo vulnerable’ bash -c ‘echo testing 123’

Si no se detecta nada entonces no hay problema. En caso de ser vulnerables hay que ingresar en la página web de soporte de Apple y descargar el parche oficial.

Se llama OS X Bash Update 1.0 y solamente está disponible para dispositivos Mac con OS X Mavericks. El parche se instala de forma automática y cubre los huecos de la vulnerabilidad evitando que terceros puedan acceder a nuestro ordenador sin permiso.

Hay que agradecer que Apple pone a disposición de los usuarios el parche como un simple instalador automático. Nada más descargamos el parche, le damos click como a una aplicación y se instala por su cuenta reparando la vulnerabilidad.

Esperemos que pronto llegue la versión del parche para todas las versiones de OS. ¿Ya comprobaste si tu Mac es vulnerable? Protege tu ordenador y avisa a tus amigos para evitar situaciones molestas y peligrosas para tu privacidad.

También te puede interesar:
Apple pudo haber alterado fotografías para lograr que la UE prohibiera la venta de la Galaxy Tab 10.1